Stock
Create Stock Reservation
POST
/
stock
/
reservations
Create Stock Reservation
curl --request POST \
--url https://vinmake-erp.onrender.com/stock/reservations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stockLotId": "<string>",
"stockLocationId": "<string>",
"qtyReserved": 123,
"reservationType": "<string>",
"productionOrderId": "<string>",
"purchaseOrderLineItemId": "<string>",
"materialId": "<string>",
"materialSkuId": "<string>",
"styleId": "<string>",
"styleSkuId": "<string>",
"warehouseOutboundLineItemId": "<string>",
"uom": "<string>",
"reservedById": "<string>",
"notes": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/stock/reservations"
payload = {
"stockLotId": "<string>",
"stockLocationId": "<string>",
"qtyReserved": 123,
"reservationType": "<string>",
"productionOrderId": "<string>",
"purchaseOrderLineItemId": "<string>",
"materialId": "<string>",
"materialSkuId": "<string>",
"styleId": "<string>",
"styleSkuId": "<string>",
"warehouseOutboundLineItemId": "<string>",
"uom": "<string>",
"reservedById": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stockLotId: '<string>',
stockLocationId: '<string>',
qtyReserved: 123,
reservationType: '<string>',
productionOrderId: '<string>',
purchaseOrderLineItemId: '<string>',
materialId: '<string>',
materialSkuId: '<string>',
styleId: '<string>',
styleSkuId: '<string>',
warehouseOutboundLineItemId: '<string>',
uom: '<string>',
reservedById: '<string>',
notes: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/stock/reservations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"reservationType": "<string>",
"status": "<string>",
"qtyReserved": 123,
"qtyReleased": 123,
"uom": "<string>",
"stockLotId": "<string>",
"stockLotDocumentId": "<string>",
"stockLocationId": "<string>",
"stockLocationName": "<string>",
"productionOrderId": "<string>",
"purchaseOrderLineItemId": "<string>",
"materialId": "<string>",
"materialSkuId": "<string>",
"styleId": "<string>",
"styleSkuId": "<string>",
"warehouseOutboundLineItemId": "<string>",
"reservedById": "<string>",
"reservedAt": "<string>",
"releasedAt": "<string>",
"notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Response
Successful Response
⌘I
Create Stock Reservation
